body {
    font-family: Arial, sans-serif;
    display: flex; /* Inicia Flexbox en el cuerpo (flex container) */
    height: 100vh;
    justify-content: center; /* Centra los elementos horizontalmente */
    align-items: center; /* Centra los elementos verticalmente */
    margin: 0;
}

.item {
    min-width: 100px;
    height: 80px;
    background-color: coral;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
    border: 3px solid black;

    /* margin: 0 10px;

    padding: 20px; */
}

.container {
    display: flex; /* Inicia Flexbox en el contenedor */
    width: 80%;
    height: 300px;
    background-color: lightblue;
    

    /* 0 - El atributo overflow en CSS es una propiedad que controla cómo se manejará el contenido 
    que se desborda o excede los límites del contenedor al que pertenece. */

   /*  overflow:visible; */


    /* 1 - flex-direction: Esta propiedad establece la dirección en la que se alinearán los elementos 
    flexibles dentro del contenedor principal. Puede ser row (horizontal) o column (vertical). */

    flex-direction:row; 

    /* 2 - flex-wrap: Esta propiedad determina si los elementos flexibles deben envolverse o no cuando 
    no tienen suficiente espacio en una sola línea. Los valores posibles son nowrap (no se envuelven) y wrap (se envuelven). */

    flex-wrap:wrap; 

    /* 3 - flex-flow: Esta es una propiedad abreviada que combina flex-direction y flex-wrap en una sola declaración. */

    /* flex-flow: row wrap;  */

    /* 4 - justify-content: Esta propiedad alinea los elementos flexibles a lo largo del eje principal del contenedor. 
    Puede ser flex-start, flex-end, center, space-between, space-around o space-evenly */

    justify-content: center; 

    /* 5 - align-items: Esta propiedad alinea los elementos flexibles dentro del contenedor a lo largo del eje secundario. 
    Es útil cuando la dirección es column. */

    /* align-items:baseline  ; */
    align-items: center;

    /* 6 -align-content: Esta propiedad alinea el contenido a lo largo del eje secundario 
    cuando hay varias líneas de elementos flexibles dentro del contenedor. */

    /* flex-wrap: wrap;
      */

    /* align-content: center; */


}




